summaryrefslogtreecommitdiff
path: root/tests.as-root/run-in-artifact-propagates-exit-code.script
diff options
context:
space:
mode:
Diffstat (limited to 'tests.as-root/run-in-artifact-propagates-exit-code.script')
-rwxr-xr-xtests.as-root/run-in-artifact-propagates-exit-code.script33
1 files changed, 33 insertions, 0 deletions
diff --git a/tests.as-root/run-in-artifact-propagates-exit-code.script b/tests.as-root/run-in-artifact-propagates-exit-code.script
new file mode 100755
index 00000000..d815c73d
--- /dev/null
+++ b/tests.as-root/run-in-artifact-propagates-exit-code.script
@@ -0,0 +1,33 @@
+#!/bin/bash
+#
+# Copyright (C) 2012-2013 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+
+## Test that 'run-in-artifact' propagates the exit code of its command.
+
+set -eu
+
+. "$SRCDIR/tests.as-root/lib"
+
+# Build first image. Remember the stratum.
+"$SRCDIR/scripts/test-morph" build-morphology \
+ test:morphs master linux-system
+
+system=$(find "$DATADIR/cache/artifacts" -maxdepth 1 -name '*.system.*-rootfs')
+
+# Run 'run-in-artifact' with the system artifact. The command will fail
+# and this should result in an exit code of 1 in the test.
+"$SRCDIR/scripts/test-morph" run-in-artifact "$system" -- ls i-do-not-exist